Retrieve the parameter history for a benefit

Mirrors RateReadApi::parameterHistoryForBenefit — returns every recorded historical value change for the benefit’s parameters

get
https://dev.api.zinnia.io/rate-configuration/v1/parameterHistoryForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:EVGL

productIdstringrequired

The Product ID

Example:EVGFIA001

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

One historical value change for a parameter, mirroring a ParamHistory.Bin record.

* Additional properties are NOT allowed.
parameterIdstringrequired
effectiveYearinteger(int32)required
effectiveMonthinteger(int32)required
effectiveDayinteger(int32)required
valuenumber(double)required
get/rate-configuration/v1/parameterHistoryForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve the benefits for a product

Mirrors RateReadApi::benefitsForProduct — returns every benefit defined for the product

get
https://dev.api.zinnia.io/rate-configuration/v1/benefitsForProduct/carriers/{carrierId}/products/{productId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TL0101

Response

application/json

OK

array[string]
get/rate-configuration/v1/benefitsForProduct/carriers/{carrierId}/products/{productId}
 
application/json

Retrieve the transaction order for a product

Mirrors RateReadApi::transactionOrderForProduct — returns the ordered transaction steps for the product

get
https://dev.api.zinnia.io/rate-configuration/v1/transactionOrderForProduct/carriers/{carrierId}/products/{productId}

Query Parameters

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TL0101

Response

application/json

OK

array[array]
get/rate-configuration/v1/transactionOrderForProduct/carriers/{carrierId}/products/{productId}
 
application/json

Retrieve the rate table for a benefit

Mirrors RateReadApi::rateTableForBenefit — returns the bands and resolved rates for the requested rate identifiers

get
https://dev.api.zinnia.io/rate-configuration/v1/rateTableForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

rateIdsstring

Comma-separated list of rate identifiers to retrieve

Example:POLICY_FEE

issueAgeinteger(int32)required

The issue age to resolve rates for.

Example:45

genderstring

Filter by gender

Example:FEMALE

riskClassstring

Filter by risk class

Example:PREFERREDNONTOBACCO

smokeClassstring

Filter by smoke class

Example:PREFERREDNONTOBACCO

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TR0101-20

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

object
get/rate-configuration/v1/rateTableForBenefit/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json

Retrieve a single rate for a benefit

Mirrors RateReadApi::getSingleRate — returns the rate series for the requested rate identifier and face amount’s band

get
https://dev.api.zinnia.io/rate-configuration/v1/getSingleRate/carriers/{carrierId}/products/{productId}/benefits/{benefitId}

Query Parameters

rateIdstring

The rate identifier to retrieve

Example:POLICY_FEE

faceAmountnumber(double)

Selects which band’s rate series to return

Example:500000

issueAgeinteger(int32)

Filter by issue age

Example:45

genderstring

Filter by gender

Example:FEMALE

riskClassstring

Filter by risk class

Example:PREFERREDNONTOBACCO

smokeClassstring

Filter by smoke class

Example:PREFERREDNONTOBACCO

jurisdictionstring

Optional Jurisdiction to be provided in ISO format

Example:US-PA

fixedCostPeriodinteger(int32)

Optional fixed cost period

Default:0

Example:10

productVersionstring

Optional product version

Example:25.05.01.0

issueDatestring(date)

Optional issue date

Example:2026-03-20

Path Parameters

carrierIdstringrequired

The Carrier ID

Example:FNWL

productIdstringrequired

The Product ID

Example:TR0101-20

benefitIdstringrequired

The Benefit ID

Example:Base_Coverage

Response

application/json

OK

array[number](double)
get/rate-configuration/v1/getSingleRate/carriers/{carrierId}/products/{productId}/benefits/{benefitId}
 
application/json